import 'package:flutter/material.dart';

class Item {
  final int i;
  final dynamic object;
  final dynamic initController;
  final Widget Function(String name, dynamic controller) initBuildView;
  final bool isNotPopulated;

  Item({
    @required this.i,
    @required this.object,
    @required this.initController,
    @required this.initBuildView,
    this.isNotPopulated
  }) {
    if (controller == null) {
      controller = initController;
    }

    name = object.json().keys.toList()[i];

    // Initilize data
    if (controller.data == null && isNotPopulated == null) {
      controller.data = object.toJson().values.toList()[i];
    }

    buildView = initBuildView(name, controller);
  }

  String name;

  dynamic controller;

  Widget buildView;
}